Removed dependency on SharpZipLib

1
Wout
9/28/2016 10:35 AM

We have just removed the dependency on SharpZipLib. CadLib is now using .NET's compression classes. Some customers were using the original unsigned version of SharpZipLib. This gave problems because CadLib was using a signed version, because CadLib is signed with a strong name key, it needed all referenced libraries to be signed as well. Therefore previously we compiled a signed version of SharpZipLib ourselves.

From .NET 4.5 onwards .NET's DeflateStream is using zlib, which is great, so there's not much reason anymore to use SharpZipLib. When .NET 4.5/4.6 is installed, code compiled against 4.0 will also use this, because .NET 4.5/4.6 are in place replacements of .NET 4.0, and they replace the 4.0 assemblies.

However, when a system does not have 4.5/4.6 installed, it will use .NET's previous compression implementation, which isn't very good (but should work nonetheless). Most systems should have 4.5/4.6 installed though.

- Wout

1